## net.sf.saxon.expr
Interface LastPositionFinder

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, EmptyIterator, ListIterator, RangeExpression.RangeIterator, ReverseArrayIterator, SingletonIterator, SortedIterator

public interface LastPositionFinder
extends SequenceIterator

A LastPositionFinder is an interface implemented by any SequenceIterator that is able to return the position of the last item in the sequence.

Method Summary
`int` `getLastPosition()` Get the last position (that is, the number of items in the sequence)

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`current, getAnother, next, position`

Method Detail

### getLastPosition

    public int getLastPosition()
                        throws XPathException

  Get the last position (that is, the number of items in the sequence)

    `XPathException`